Bug 76927 - CD Writing over ide-scsi giving timeout/crash when doing OPC
CD Writing over ide-scsi giving timeout/crash when doing OPC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-29 11:10 EST by Mark Cooke
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 2002-10-29 11:10:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Using xcdroast, writing images fails with two timeouts, then many many scsi
resets in syslog.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Default redhat 8.0 kernel
2.tail -f /var/log/messages
3.Attempt to write psyche disc3 image to a blank cdr


Actual Results:  Oct 29 15:54:57 pc24 kernel: ide-scsi: The scsi wants to send
us more data than
expected - discarding data
Oct 29 15:54:57 pc24 kernel: ide-scsi: transferred 1 of 2 bytes
Oct 29 15:54:57 pc24 kernel: ide-scsi: The scsi wants to send us more data than
expected - discarding data
Oct 29 15:54:57 pc24 kernel: ide-scsi: transferred 1 of 2 bytes
Oct 29 15:55:16 pc24 kernel: scsi : aborting command due to timeout : pid 1556,
scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct 29 15:55:26 pc24 kernel: scsi : aborting command due to timeout : pid 1556,
scsi0, channel 0, id 0, lun 0 Test Unit Ready 00 00 00 00 00
Oct 29 15:55:26 pc24 kernel: SCSI host 0 abort (pid 1556) timed out - resetting
Oct 29 15:55:26 pc24 kernel: SCSI bus is being reset for host 0 channel 0.

etc etc



Expected Results:  OPC should have started and the cd should have been written.

Additional info:

The CDRW is:

hdc: LITE-ON LTR-32123S, ATAPI CD/DVD-ROM drive

Nothing else on that chain.
Motherboard is an IT7

I have had this lead to more than just 10 second freezes during scsi resets -
the machine has deadlocked after aborting the write.
Comment 1 Mark Cooke 2002-11-13 15:04:29 EST
I compiled an RPM based on the RH8 errata kernel, but with 2.4.20rc1 plus ac1,
and rebooted.

CD writing now works.

Also, this kernel appears to allow DMA for the IT7 onboard ide chains that the
CDRW is attached to, where the previous RH8.0 kernels did not support this for
the IT7 chipset.

Chipset data:

00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host Bridge (rev 11)
00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP Bridge (rev 11)
00:1f.1 IDE interface: Intel Corp. 82801DB ICH4 IDE (rev 01)
Comment 2 Bugzilla owner 2004-09-30 11:40:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.